// testbase.h
// -----------------------------------------------------------------
// Compendium - C++ Container Class Library
// Copyright (C) 1992-1995, Glenn M. Poorman, All rights reserved
// -----------------------------------------------------------------
// Prototypes for base container class test functions.
// -----------------------------------------------------------------

#ifndef _TESTBASE_H
#define _TESTBASE_H

#include <assert.h>
#include <cm/include/cmcont.h>
#include <cm/include/cmtcont.h>
#include <cm/include/cmstring.h>

unsigned hashString   (const CmString&, unsigned); // String hash function.
void     testContainer(CmContainer&);              // Base container test.
void     testTemplate (CmTContainer<CmString>&);   // Base template test.

#endif
