// cmbag.h
// -----------------------------------------------------------------
// Compendium - C++ Container Class Library
// Copyright (C) 1992-1995, Glenn M. Poorman, All rights reserved
// -----------------------------------------------------------------
// Bag definition.
// -----------------------------------------------------------------

#ifndef _CMBAG_H
#define _CMBAG_H

#include <cm/include/cmhash.h>

class CmBag : public CmHashTable {          // Bag class definition.
public:
  CmBag(unsigned = 10);                     // Default bag constructor.
  CmBag(const CmBag&);                      // Bag copy constructor.
  CmBag(const CmContainer&);                // Construct from container.
 ~CmBag() {}                                // Bag destructor.

  CmBag& operator=(const CmBag&);           // Assignment operator.

  CMOBJECT_DEFINE(CmBag)                    // Define object funcs.
};

#endif
