// cmtbag.cc
// -----------------------------------------------------------------
// Compendium - C++ Container Class Library
// Copyright (C) 1992-1995, Glenn M. Poorman, All rights reserved
// -----------------------------------------------------------------
// Bag template implementation.
// -----------------------------------------------------------------


// "CmTBag" is the default bag constructor.
//
template <class T> CmTBag<T>::CmTBag(unsigned sz)
                            : CmTHashTable<T>(sz)
{}


// "CmTBag" constructs a bag which will use the specified function
// for hashing.
//
template <class T> CmTBag<T>::CmTBag(CmTHashFunc func, unsigned sz)
                            : CmTHashTable<T>(func, sz)
{}


// "CmTBag" is the bag copy constructor.
//
template <class T> CmTBag<T>::CmTBag(const CmTBag<T>& B)
                            : CmTHashTable<T>(B)
{}


// "CmTBag" constructs a bag from the specified container.
//
temlate <class T>
CmTBag<T>::CmTBag(CmTHashFunc func, const CmTContainer<T>& cont)
         : CmTHashTable<T>(func, cont.total())
{
  copy(cont);
}


// "=" assignment operator copies the specified bag into this bag.
//
template <class T> CmTBag<T>& CmTBag<T>::operator=(const CmTBag<T>& B)
{
  return (CmTBag<T>&) CmTHashTable<T>::operator=(B);
}
