// testcm.cxx
// -----------------------------------------------------------------
// Compendium - C++ Container Class Library
// Copyright (C) 1992-1995, Glenn M. Poorman, All rights reserved
// -----------------------------------------------------------------
// Main entry point for CM test program.  Errors are flagged through
// assertions so that a successful run produces no output except
// for the class names as they are tested.
// -----------------------------------------------------------------

#include "testarr.h"
#include "testlist.h"
#include "testtree.h"
#include "testdict.h"
#include "testhash.h"
#include "teststr.h"

int main()
{
  testArray           ();
  testOArray          ();
  testList            ();
  testDList           ();
  testBinaryTree      ();
  testBTree           ();
  testHashTable       ();
  testDictionary      ();
  testBTreeDictionary ();
  testHashDictionary  ();
  testTArray          ();
  testTOArray         ();
  testTList           ();
  testTDList          ();
  testTBinaryTree     ();
  testTBTree          ();
  testTHashTable      ();
  testTDictionary     ();
  testTBTreeDictionary();
  testTHashDictionary ();
  testString          ();
  testVector          ();
  return 0;
}
